gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-exchange] branch master updated: taler wallet invocation


From: gnunet
Subject: [taler-exchange] branch master updated: taler wallet invocation
Date: Fri, 14 Aug 2020 12:51:18 +0200

This is an automated email from the git hooks/post-receive script.

dold pushed a commit to branch master
in repository exchange.

The following commit(s) were added to refs/heads/master by this push:
     new 8239a8bd taler wallet invocation
8239a8bd is described below

commit 8239a8bdd1e50478e054867eb9ccdc82342db6be
Author: Florian Dold <florian.dold@gmail.com>
AuthorDate: Fri Aug 14 16:18:58 2020 +0530

    taler wallet invocation
---
 contrib/gana                           |  2 +-
 src/auditor/generate-auditor-basedb.sh | 18 ++++++++++++++++--
 src/auditor/generate-revoke-basedb.sh  | 18 +++++++++++-------
 3 files changed, 28 insertions(+), 10 deletions(-)

diff --git a/contrib/gana b/contrib/gana
index c36107f8..f45d064d 160000
--- a/contrib/gana
+++ b/contrib/gana
@@ -1 +1 @@
-Subproject commit c36107f80f136f0a512e62c7b992ea18218280bb
+Subproject commit f45d064d7986be3cac550761fa95fb3fdd89dab1
diff --git a/src/auditor/generate-auditor-basedb.sh 
b/src/auditor/generate-auditor-basedb.sh
index 82a593fd..b75112e6 100755
--- a/src/auditor/generate-auditor-basedb.sh
+++ b/src/auditor/generate-auditor-basedb.sh
@@ -15,8 +15,6 @@
 #
 set -eu
 
-echo "Script disabled: taler-wallet-cli integration test known to fail right 
now!"
-exit 1
 
 trap "kill `jobs -p` &> /dev/null || true" ERR
 
@@ -134,6 +132,22 @@ echo " DONE"
 echo "Running wallet"
 taler-wallet-cli testing integrationtest -e $EXCHANGE_URL -m $MERCHANT_URL -b 
$BANK_URL
 
+taler-wallet-cli --no-throttle --wallet-db=$WALLET_DB api 'runIntegrationTest' 
\
+  "$(jq -n '
+    {
+      amountToSpend: "TESTKUDOS:5",
+      amountToWithdraw: "TESTKUDOS:10",
+      bankBaseUrl: $BANK_URL,
+      exchangeBaseUrl: $EXCHANGE_URL,
+      merchantApiKey: "sandbox",
+      merchantBaseUrl: $MERCHANT_URL,
+    }' \
+    --arg MERCHANT_URL "$MERCHANT_URL" \
+    --arg EXCHANGE_URL "$EXCHANGE_URL" \
+    --arg BANK_URL "$BANK_URL"
+  )"
+
+
 echo "Shutting down services"
 kill `jobs -p`
 wait
diff --git a/src/auditor/generate-revoke-basedb.sh 
b/src/auditor/generate-revoke-basedb.sh
index 00ad3a6c..fda76857 100755
--- a/src/auditor/generate-revoke-basedb.sh
+++ b/src/auditor/generate-revoke-basedb.sh
@@ -8,10 +8,6 @@
 set -eu
 
 
-echo "Script disabled: taler-wallet-cli integration test known to fail right 
now!"
-exit 1
-
-
 trap "kill `jobs -p` &> /dev/null || true" ERR
 
 # Exit, with status code "skip" (no 'real' failure)
@@ -183,9 +179,17 @@ taler-wallet-cli --wallet-db=$WALLET_DB run-until-done
 
 # Now we buy something, only the coins resulting from recouped will be
 # used, as other ones are suspended
-taler-wallet-cli --wallet-db=$WALLET_DB testing test-pay \
-                 -m $MERCHANT_URL -k sandbox \
-                 -a "TESTKUDOS:1" -s "foo"
+taler-wallet-cli --no-throttle --wallet-db=$WALLET_DB api 'testPay' \
+  "$(jq -n '
+    {
+      amount: "TESTKUDOS:1",
+      merchantApiKey: "sandbox",
+      merchantBaseUrl: $MERCHANT_URL,
+      summary: "foo",
+    }' \
+    --arg MERCHANT_URL $MERCHANT_URL
+  )"
+
 taler-wallet-cli --wallet-db=$WALLET_DB run-until-done
 
 echo "Purchase with recoup'ed coin (via reserve) done"

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]